body {
    font-family: 'Poppins', sans-serif;
    text-align: center;
    background-color: #f5f5f5;
    padding: 50px;
    margin: 0;
}

h1 {
    color: black;
    font-weight: 600;
    margin-bottom: 30px;
}

.menu-tabs {
    display: flex;
    justify-content: center;
    margin-bottom: 30px;
}

.tab {
    border: none;
    background-color: #fff;
    color: gray;
    padding: 10px 20px;
    margin: 0 5px;
    cursor: pointer;
    font-weight: 500;
    border-radius: 5px;
    transition: background-color 0.3s, color 0.3s;
}

.tab.active {
    background-color: #fff;
    color: #666;
}

.tab:hover {
    background-color: lightblue;
}

.menu-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.menu-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin: 0 auto;
    margin-bottom: 30px;
    background-color: #fff;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    width: 300px; /* Adjusted to fit content */
    transition: transform 0.3s, box-shadow 0.3s;
}

.menu-item img {
    width: 100%;
    height: auto;
    border: 3px solid black;
    border-radius: 5px;
}

.item-details {
    margin-top: 10px;
}

.item-details h2 {
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 10px;
}

.price {
    font-size: 16px;
    font-weight: 500;
    color: red;
    margin-bottom: 10px;
}

.description {
    font-size: 14px;
    color: blue;
}

/* Optional: Add hover effects for menu items */
.menu-item:hover {
    transform: scale(1.05);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}
